# Gitea Clone for VSCode

A Visual Studio Code extension that allows you to clone repositories from your Gitea instance via SSH and manage Gitea authentication using a Personal Access Token (PAT).

## Features
- **Gitea Authentication**: Authenticate with your Gitea instance using a Personal Access Token.
- **Clone via SSH**: Clone repositories from Gitea using SSH URLs.
- **Progress Bar**: See real-time progress during the clone operation.
- **Auto-Open Repository**: After cloning, the repository will be automatically opened in the workspace.

## Commands
- `Gitea: Authenticate`: Authenticate with your Gitea instance using your Personal Access Token (PAT).
- `Gitea: Configure`: Set the URL of your Gitea instance and your PAT.
- `Gitea: Clone Repository`: Clone a repository from Gitea via SSH.

## Requirements
- A Gitea instance with SSH access.
- A Personal Access Token (PAT) from your Gitea instance for authentication.

## Configuration
You can configure the Gitea instance URL and your Personal Access Token in your VSCode settings:

```json
{
  "gitea.instanceUrl": "https://your-gitea-instance.com",
  "gitea.personalAccessToken": "your-personal-access-token"
}
````

## Usage

Run Gitea: Authenticate to authenticate with your Gitea instance.
Run Gitea: Clone Repository to clone a repository from your Gitea account.
Choose the repository you want to clone and select the folder where you want to clone it.
The repository will be cloned via SSH and automatically opened in VSCode.

## Issues

If you encounter any issues or have feature requests, please feel free to submit them in the issues section.